%define  ver     0.9.9
%define  RELEASE 3
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Summary: A modern scripting enviroment based on Internet technologies
Name: SashXB
Version: %ver
Release: %rel
Copyright: LGPL
Group: Development/Libraries
Source: http://www.sashxb.org/download/runtime/SashXB-%{PACKAGE_VERSION}.tar.gz
URL: http://www.sashxb.org/
BuildRoot:/var/tmp/SashXB-%{PACKAGE_VERSION}-root
Vendor: IBM Corporation

%description
The SashXB Runtime for Linux and Mozilla provides an easy way to
develop with the native APIs and GUIs of a system from within
interfaces and technologies that are straightforward enough to be
useful to web page developers who use HTML, JavaScript, and XML.

%package devel
Summary: Library, headers, etc. to develop extensions and locations for SashXB.
Group: Development/Libraries

%description devel
Library, headers, etc. to develop extensions and locations for SashXB.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} %{buildsettings}
make $MAKE_FLAGS

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
# comment from audiofile spec:
#
# makefile is broken, sets exec_prefix explicitely.
#
make exec_prefix=$RPM_BUILD_ROOT/%{_prefix} prefix=$RPM_BUILD_ROOT/%{_prefix} install 

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep -q "text/x-wdf" /etc/mime.types
then echo "text/x-wdf			wdf" >> /etc/mime.types
fi

%changelog

* Sun Aug  5 2001 Andrew Chatham <andrew.chatham@duke.edu>
- Got rid of the our_prefix stuff and just use _prefix. Use SashXB instead
  of %{PACKAGE_NAME}

* Fri Jul 20 2001 Kevin Gibbs <kgibbs@cs.stanford.edu>
- Initial spec file for SashXB.

%files
%defattr(-, root, root)
%doc COPYING README ChangeLog
%{_prefix}/bin/*
%{_prefix}/lib/*
%{_prefix}/share/SashXB/*

%files devel
%defattr(-, root, root)
%{_prefix}/include/*
%{_prefix}/share/idl/*
